package com.hai.service;

import java.util.List;
import java.util.Map;

/**
 * @author hurui
 */
public interface HighActivityAwardUserService {

    /**
     * 增加用户中奖记录
     */
    void insertAwardUser(Long serialNumId,Long userId);

    /**
     * 此方法请勿随意调用与修改，因为这个是专门对外开放的
     * 根据活动查询中奖记录
     * @param activityId
     * @return
     */
    List<Map<String, Object>> getWinLotteryList(Long activityId);

    /**
     * 查询活动中奖记录
     * @param activityId 活动id
     * @param param 参数
     * @return
     */
    List<Map<String,Object>> getWinLotteryUserList(Long activityId,Map<String, Object> param);

}
